Skip to main content
GET
/
v1
/
agents
/
{agent_id}
Get agent
curl --request GET \
  --url https://api.coval.dev/v1/agents/{agent_id} \
  --header 'X-API-Key: <api-key>'
{
  "agent": {
    "id": "abc123def456ghi789jklm",
    "display_name": "Customer Support Agent",
    "model_type": "MODEL_TYPE_VOICE",
    "phone_number": "+1234567890",
    "endpoint": "https://api.example.com/agent",
    "prompt": "You are a helpful customer support agent...",
    "metadata": {
      "voice": "alloy",
      "model": "gpt-4o-realtime-preview"
    },
    "workflows": {},
    "metric_ids": [
      "metric_123"
    ],
    "test_set_ids": [
      "testset_456"
    ],
    "knowledge_base_ids": [],
    "create_time": "2025-10-14T12:00:00Z",
    "update_time": "2025-10-15T14:30:00Z"
  }
}

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

agent_id
string
required

Agent resource ID

Pattern: ^[A-Za-z0-9]{22}$

Response

Agent retrieved successfully

agent
object
required

Agent configuration resource.

Note: The active field (soft delete status) is managed internally and not exposed in API responses.